Report v2
12 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getTabById | GET | Get all cards in a tab |
| getAllTabs | GET | Get report all tabs |
| getCardsInfo | POST | Get cards info |
| recordTabNetworkReport | PUT | Reorder the tab |
| addTabNetworkReport | POST | Add new tab |
| updateTabNetworkReport | PUT | Update tab |
| deleteTabNetworkReport | DELETE | Batch delete tabs |
| exportNowLocal | POST | Export report now |
| exportLaterEmailV2 | POST | Export report once later |
| exportNowEmailV2 | POST | Export report now for email |
| getScheduleTimeInfoV2 | GET | Get schedule time info |
| emailReportScheduleV2 | POST | Export report for scheduler |
getTabById
GET /openapi/v1/{omadacId}/sites/{siteId}/report/{tabId}
Get all cards in a tab
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tabId | path | string | yes | tab ID |
// omada_call_operation
{
"operationId": "getTabById",
"params": {
"siteId": "<siteId>",
"tabId": "<tabId>"
}
}Details, permissions and error codes
Get all cards in a tab
The interface requires one of the permissions:
Site Network Report Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30212 - Unable to get the tab module information. Please try again later.
getAllTabs
GET /openapi/v1/{omadacId}/sites/{siteId}/report/allTabs
Get report all tabs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAllTabs",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get report all tabs
The interface requires one of the permissions:
Site Network Report Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30212 - Unable to get the tab module information. Please try again later.
getCardsInfo
POST /openapi/v1/{omadacId}/sites/{siteId}/report/cards
**Get cards info **
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ReportCardQueryVO
| Field | Type | Required | Description |
|---|---|---|---|
omadacId | string | no | omadacId |
siteId | string | no | site id |
start | integer | no | start time, unit: seconds |
end | integer | no | end time, unit: seconds |
cards | array<TabCardVO> | no | card info |
requestToken | string | no | |
token | string | no |
// omada_call_operation
{
"operationId": "getCardsInfo",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get cards info by card names
The interface requires one of the permissions:
Site Network Report Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30212 - Unable to get the tab module information. Please try again later.
recordTabNetworkReport
PUT /openapi/v1/{omadacId}/sites/{siteId}/report/reorder
**Reorder the tab **
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required)
Type: array<ReportTab>
// omada_call_operation
{
"operationId": "recordTabNetworkReport",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Reorder the tab
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30207 - Editing failed. Please try again later.
addTabNetworkReport
POST /openapi/v1/{omadacId}/sites/{siteId}/report/tab
**Add new tab **
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ReportTab
| Field | Type | Required | Description |
|---|---|---|---|
tabId | string | no | tab id |
name | string | no | tab name |
cards | array<string> | no | list of cards in tab |
cardGroupList | array<CardGroupVO> | no | list of card group |
type | integer | no | tab type, default 0, customize 1 |
status | integer | no | tab status, 0: disable, 1: enable |
rank | integer | no | tab rank |
defaultKey | string | no | defaultKey |
defaultTab | string | no | defaultTab |
cancelCards | array<string> | no | cards be cancelled |
// omada_call_operation
{
"operationId": "addTabNetworkReport",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Add a new tab by user
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30206 - Adding failed. Please try again later.
updateTabNetworkReport
PUT /openapi/v1/{omadacId}/sites/{siteId}/report/tab
Update tab
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ReportTab
| Field | Type | Required | Description |
|---|---|---|---|
tabId | string | no | tab id |
name | string | no | tab name |
cards | array<string> | no | list of cards in tab |
cardGroupList | array<CardGroupVO> | no | list of card group |
type | integer | no | tab type, default 0, customize 1 |
status | integer | no | tab status, 0: disable, 1: enable |
rank | integer | no | tab rank |
defaultKey | string | no | defaultKey |
defaultTab | string | no | defaultTab |
cancelCards | array<string> | no | cards be cancelled |
// omada_call_operation
{
"operationId": "updateTabNetworkReport",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Update the tab config
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30207 - Editing failed. Please try again later.
deleteTabNetworkReport
DELETE /openapi/v1/{omadacId}/sites/{siteId}/report/tab/{tabIds}
Batch delete tabs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tabIds | path | string | yes | tab ID list |
// omada_call_operation
{
"operationId": "deleteTabNetworkReport",
"params": {
"siteId": "<siteId>",
"tabIds": "<tabIds>"
}
}Details, permissions and error codes
Batch delete the tabs by id list
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30211 - Deleting failed. Please try again later.
exportNowLocal
POST /openapi/v2/{omadacId}/files/sites/{siteId}/report/export-now-local
Export report now
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (optional) — schema ReportExportV2
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | yes | The report start time |
end | integer | yes | The report end time |
reportName | string | yes | The report name |
reportType | integer | yes | The report type. 0 : pdf, 1 : csv. |
tabIdList | array<string> | yes | The tab need to export |
emailList | array<string> | no | The email list to send report |
// omada_call_operation
{
"operationId": "exportNowLocal",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Export report
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
exportLaterEmailV2
POST /openapi/v2/{omadacId}/sites/{siteId}/report/export-later-email
Export report once later
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema NetworkReportScheduleLaterVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | |
tab | integer | no | |
tabIdList | array<string> | no | |
cards | string | no | |
reportName | string | no | |
reportType | integer | no | |
emailList | array<string> | no | |
minute | integer | no | |
hour | integer | no | |
time | integer | no | |
start | integer | no | |
end | integer | no |
// omada_call_operation
{
"operationId": "exportLaterEmailV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Export report once later
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
exportNowEmailV2
POST /openapi/v2/{omadacId}/sites/{siteId}/report/export-now-email
Export report now for email
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ReportExportV2
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | yes | The report start time |
end | integer | yes | The report end time |
reportName | string | yes | The report name |
reportType | integer | yes | The report type. 0 : pdf, 1 : csv. |
tabIdList | array<string> | yes | The tab need to export |
emailList | array<string> | no | The email list to send report |
// omada_call_operation
{
"operationId": "exportNowEmailV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Export report now for email
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getScheduleTimeInfoV2
GET /openapi/v2/{omadacId}/sites/{siteId}/report/export-schedule-email
Get schedule time info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getScheduleTimeInfoV2",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get schedule time info
The interface requires one of the permissions:
Site Network Report Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
emailReportScheduleV2
POST /openapi/v2/{omadacId}/sites/{siteId}/report/export-schedule-email
Export report for scheduler
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema NetworkReportScheduleVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | |
tab | integer | no | |
tabIdList | array<string> | no | |
reportName | string | no | |
reportType | integer | no | |
emailList | array<string> | no | |
time | integer | no | |
cards | string | no | |
timingType | integer | no | |
hour | integer | no | |
minute | integer | no | |
dayOfWeek | integer | no | |
dayOfMonth | integer | no | |
monthOfYear | integer | no |
// omada_call_operation
{
"operationId": "emailReportScheduleV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Export report for scheduler
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.